Skip to main content
POST
Get Open Orders

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Query Parameters

account_id
string

Public wallet account ID. Omit to use the authenticated user's default wallet. See List Wallet Accounts.

Body

application/json
nonce
integer<int64>
required

Nonce used in construction of API-Sign header

trades
boolean
default:false

Whether or not to include trades related to position in output

userref
integer<int32>

Restrict results to given user reference

cl_ord_id
string

Restrict results to given client order id

consolidate_taker
boolean
default:true

Whether or not to consolidate trades by individual taker trades

with_cursor
boolean
default:false

Use cursor-based pagination. Each page then holds at most limit orders, and the response includes cursor.next when more orders are available.

limit
integer

Maximum number of orders to return. When with_cursor is true, defaults to 50 and values above 100 are rejected. Otherwise all open orders are returned unless limit is set (capped at 1000).

Required range: x >= 1
cursor
string

Opaque pagination token from cursor.next of the previous page. Requires with_cursor.

rebase_multiplier
enum<string> | null
default:rebased

Optional parameter for viewing xStocks data.

  • rebased: Display in terms of underlying equity.
  • base: Display in terms of SPV tokens.
Available options:
rebased,
base

Response

200 - application/json

Open orders info retrieved.

result
OpenOrders · object

Open Orders

error
string[]

Kraken API error